Bug 219858 - AEP - should detect changes to registry, so that restart is not necessary
AEP - should detect changes to registry, so that restart is not necessary
Status: CLOSED CURRENTRELEASE
Product: Red Hat Certificate System
Classification: Red Hat
Component: Auto-Enrollment (Show other bugs)
7.2
All Linux
medium Severity medium
: 7.3
: ---
Assigned To: Brian Stevens
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 14:18 EST by Bob Lord
Modified: 2015-01-04 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-28 20:08:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Parkinson 2006-12-15 14:18:51 EST
AEP Proxy should detect when its registry hive has changed, and reload
the configuration - so that it's not necessary to keep restarting the process.
Comment 1 Chandrasekar Kannan 2007-04-22 01:59:15 EDT
Verified with AEP 1.0 build.

Changed the following profilemap value using regedit directly such 
that it uses the profile name like caServerCert.

HKEY_LOCAL_MACHINE\SOFTWARE\Red
Hat\RHCSProxy\Config\ProfileMap\WebServer\CAProfileName

Submitted another enrollment request. As expected, CA didn't issue the cert.

Confirmed that AEP is able to read values from registry without the
need to restart the service.

Comment 2 Red Hat Bugzilla 2007-11-04 23:17:45 EST
User sparkins@redhat.com's account has been closed
Comment 3 Red Hat Bugzilla 2007-11-04 23:22:35 EST
User sparkins@redhat.com's account has been closed
Comment 4 Chandrasekar Kannan 2008-08-25 18:45:16 EDT
Bug already CLOSED/VERIFIED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.